Get list of all indexes
curl --request GET \
--url https://{region}.affinda.com/v3/index \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/index"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"name": "my-index",
"docType": "resumes",
"user": {
"id": 1,
"name": "Carl Johnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
}
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Search & Match
Get list of all indexes
Returns all the indexes
GET
/
v3
/
index
Get list of all indexes
curl --request GET \
--url https://{region}.affinda.com/v3/index \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/index"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"name": "my-index",
"docType": "resumes",
"user": {
"id": 1,
"name": "Carl Johnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
}
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
The number of documents to skip before starting to collect the result set.
Required range:
x >= 0Example:
0
The numbers of results to return.
Required range:
1 <= x <= 100Example:
20
Filter indices by a document type
Available options:
resumes, job_descriptions Filter indices by name
Was this page helpful?
⌘I